/* eslint-disable no-undef */
import {extendInclude, extendRule} from "../../utils/common";

/**
 * @return {string}
 */

export default {
  onChange: ({value,colInfo,getFieldValue,setFieldValue,setFieldEditable}) => {


  },
  onFetchAutoFilter:({colInfo,params,getFieldValue,pageCode})=>{


  },
  onBeforeEdit:({isNew,getFieldValue,setFieldValueByBatch,setFieldEditable})=>{
    if(isNew){
      const temps=[];
      temps.push({field:'RESOURCE_TYPE',value:0})
      setFieldValueByBatch(temps);
    }

  },
  onBeforeSave:({data,getFieldValue,setFieldValue})=>{
  },
}
